using System.ComponentModel;

namespace WCS.Entity.Protocol.SRM
{
    [Description("542")]
    /// <summary>
    /// ISRM542
    /// </summary>
    /// <typeparam name="alarm">报警</typeparam>
    public interface ISRM542 : IProtocol
    {
        /// <summary>
        ///  报警内容
        /// </summary>
        [Description("报警内容")]
        SrmAlarmExt Alarm { get; set; }
        /// <summary>
        ///  报警内容2
        /// </summary>
        [Description("报警内容2")]
        SrmAlarmExt1 Alarm1 { get; set; }
    }
}
